## nemo-python 6.0.0+ds

=== meson_options.txt ===
option('gtk_doc', type : 'boolean', value : false,
       description: 'Generate API reference (requires GTK-Doc)')

## nemo-python 2.0.0+lmde

=== debian/changelog ===
nemo-python (2.0.0+lmde) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 15:45:52 +0100

nemo-python (1.8.0) olivia; urgency=low

  * 1.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Apr 2013 10:42:53 +0100

nemo-python (1.0-0) unstable; urgency=low

  * Initial port to Nemo

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Oct 2012 18:00:00 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nemo-python
Section: python
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               autotools-dev,
	       dh-autoreconf,
               gnome-pkg-tools,
               python-dev,
               python-gi-dev,
               libnemo-extension-dev (>= 1.0.3),
               gnome-common,
               gtk-doc-tools
Standards-Version: 3.9.2

Package: python-nemo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-gi (>= 3.0),
         gir1.2-nemo-3.0
Description: Python binding for Nemo components
 Python binding for Nemo, to allow Nemo property page and menu item
 extensions to be written in Python.

## nemo-python 2.0.0+maya

=== debian/changelog ===
nemo-python (2.0.0+maya) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 15:45:52 +0100

## nemo-python 2.2.0+qiana

=== debian/changelog ===
nemo-python (2.2.0+qiana) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 16:22:20 +0100

nemo-python (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 15:45:52 +0100

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LDFLAGS+=-Wl,--as-needed

# To avoid running configure twice (because gnome-autogen.sh)
export NOCONFIGURE=yes

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh

DEB_INSTALL_EXAMPLES_python-nemo := $(wildcard examples/*.py) examples/README
DEB_DH_MAKESHLIBS_ARGS_python-nemo += --no-act

binary-post-install/python-nemo::
	rm -rf debian/python-nemo/usr/share/doc/nemo-python/
	rm -f debian/python-nemo/usr/lib/nemo/extensions-3.0/*.la

## nemo-python 2.4.1+rebecca

=== debian/changelog ===
nemo-python (2.4.1+rebecca) rebecca; urgency=medium

  * Fix libdirsuffix for i386

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2014 01:16:32 +0100

nemo-python (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 01 Nov 2014 11:40:04 +0100

nemo-python (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 16:22:20 +0100

## nemo-python 2.6.0+rafaela

=== debian/changelog ===
nemo-python (2.6.0+rafaela) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Jun 2015 13:43:58 +0200

nemo-python (2.4.1) rebecca; urgency=medium

  * Fix libdirsuffix for i386

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2014 01:16:32 +0100

## nemo-python 2.8.0+rosa

=== debian/changelog ===
nemo-python (2.8.0+rosa) rosa; urgency=medium

  * 2.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Oct 2015 23:27:25 +0100

nemo-python (2.6.0) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Jun 2015 13:43:58 +0200

=== debian/control ===
Source: nemo-python
Section: python
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               gnome-pkg-tools,
               python-dev,
               python-gi-dev,
               libnemo-extension-dev (>= 1.0.3),
               gnome-common,
               gtk-doc-tools
Standards-Version: 3.9.6

Package: python-nemo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-gi (>= 3.0),
         gir1.2-nemo-3.0
Description: Python binding for Nemo components
 Python binding for Nemo, to allow Nemo property page and menu item
 extensions to be written in Python.

## nemo-python 3.0.0

=== debian/changelog ===
nemo-python (3.0.0-3) unstable; urgency=medium

  [ Margarita Manterola ]
  * Fix git url.
  * Add a Conflicts/Provides/Replaces for python-nemo, as that is the name
    used upstream. Thanks to James Lu for reporting. Closes: #827128.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Aug 2016 13:07:16 +0200

nemo-python (3.0.0-2) unstable; urgency=medium

  * Fix copyright file to include the correct upstream author.
  * Install gtk-docs.

 -- Margarita Manterola <marga@debian.org>  Sun, 29 May 2016 14:06:31 +0200

nemo-python (3.0.0-1) unstable; urgency=low

  * Initial release (Closes: #815223).

 -- Margarita Manterola <marga@debian.org>  Sat, 28 May 2016 20:06:56 +0200

=== debian/control ===
Source: nemo-python
Section: python
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gtk-doc-tools,
               libnemo-extension-dev (>= 1.0.3),
               python-dev,
               python-gi-dev,
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/nemo-python.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/nemo-python.git

Package: nemo-python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gir1.2-nemo-3.0,
Conflicts: python-nemo
Provides: python-nemo
Replaces: python-nemo
Description: Python bindings for nemo components
 Python bindings for Nemo, to allow creation of Nemo extensions in Python.
 This allows creating property page and menu item extensions.

## nemo-python 3.0.0+sarah

=== debian/changelog ===
nemo-python (3.0.0+sarah) sarah; urgency=medium

  * 3.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Apr 2016 12:54:08 +0100

nemo-python (2.8.0) rosa; urgency=medium

  * 2.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Oct 2015 23:27:25 +0100

## nemo-python 3.0.1

=== debian/changelog ===
nemo-python (3.0.1) elle; urgency=medium

  * Initial Pearl 5.0 build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sun, 11 Dec 2016 14:33:16 -0600

## nemo-python 3.2.0

=== debian/changelog ===
nemo-python (3.2.0-2) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 20:40:44 -0300

nemo-python (3.2.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add new patch: reproducible_drop-builddate.patch
  * Bump gir1.2-nemo-3.0 runtime dependency version (Closes: #842253)
    Thanks to Andreas Heinlein for reporting

  [ Margarita Manterola ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Dec 2016 20:34:05 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gir1.2-nemo-3.0,
+         gir1.2-nemo-3.0 (>= 3.0),
 Conflicts: python-nemo
 Provides: python-nemo
 Replaces: python-nemo

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-gtk-doc

override_dh_auto_install:
	dh_auto_install
	# Drop useless files
	find debian/ -name '*.la' -delete

=== debian/watch ===
version=3
http://packages.linuxmint.com/pool/main/n/nemo-python/ \
    nemo-python_([\d.]+)%2b[\w\d]+\.tar\.gz

## nemo-python 3.2.0+serena

=== debian/changelog ===
nemo-python (3.2.0+serena) serena; urgency=medium

  * 3.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 11:42:31 +0000

nemo-python (3.0.0) sarah; urgency=medium

  * 3.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Apr 2016 12:54:08 +0100

## nemo-python 3.4.0

=== debian/changelog ===
nemo-python (3.4.0-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:37 +0200

nemo-python (3.4.0-1) experimental; urgency=medium

  * New upstream release (3.4.0).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:31:55 +0200

## nemo-python 3.4.0+betsy

=== debian/changelog ===
nemo-python (3.4.0+betsy) sonya; urgency=medium

  * 3.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 11:50:15 +0100

nemo-python (3.2.0) serena; urgency=medium

  * 3.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 11:42:31 +0000

## nemo-python 3.4.0+sonya

=== debian/changelog ===
nemo-python (3.4.0+sonya) sonya; urgency=medium

  * 3.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 11:50:15 +0100

## nemo-python 3.6.0

=== debian/changelog ===
nemo-python (3.6.0-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.6.0).

  [ Maximiliano Curia ]
  * Set new ml as Maintainer
  * Update debian/watch, section changed to backport
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:07:14 +0200

=== debian/control ===
Source: nemo-python
Section: python
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper (>= 11~),
 dh-autoreconf,
 gtk-doc-tools,
 libnemo-extension-dev (>= 3.6),
 python-dev,
 python-gi-dev,
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git

Package: nemo-python
Architecture: any
Depends: gir1.2-nemo-3.0 (>= 3.6), ${misc:Depends}, ${shlibs:Depends}
Conflicts: python-nemo
Provides: python-nemo
Replaces: python-nemo
Description: Python bindings for nemo components
 Python bindings for Nemo, to allow creation of Nemo extensions in Python.
 This allows creating property page and menu item extensions.

=== debian/watch ===
version=3
http://packages.linuxmint.com/pool/backport/n/nemo-python/ \
    nemo-python_([\d.]+)%2b[\w\d]+\.tar\.gz

## nemo-python 3.6.0+sylvia

=== debian/changelog ===
nemo-python (3.6.0+sylvia) sylvia; urgency=medium

  * 3.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 11:58:54 +0100

nemo-python (3.4.0) sonya; urgency=medium

  * 3.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 11:50:15 +0100

## nemo-python 3.8.0

=== debian/changelog ===
nemo-python (3.8.0-2) unstable; urgency=medium

  * New revision
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:46 +0200

nemo-python (3.8.0-1) experimental; urgency=medium

  * Drop dh-autoreconf (no longer needed with dh >= 10)
  * New upstream release (3.8.0).
  * Bump Standards-Version to 4.1.4.
  * Drop upstream applied patch: reproducible_drop-builddate.patch
  * Enable hardening bindnow
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,18 @@
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
  debhelper (>= 11~),
- dh-autoreconf,
  gtk-doc-tools,
  libnemo-extension-dev (>= 3.6),
  python-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git
 
 Package: nemo-python
 Architecture: any
-Depends: gir1.2-nemo-3.0 (>= 3.6), ${misc:Depends}, ${shlibs:Depends}
+Depends: gir1.2-nemo-3.0 (>= 3.8), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: python-nemo
 Provides: python-nemo
 Replaces: python-nemo

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
 %:
-	dh $@ --with=autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static --enable-gtk-doc

## nemo-python 3.8.0%2Btara

=== debian/changelog ===
nemo-python (3.8.0+tara) tara; urgency=medium

  * 3.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 May 2018 13:09:45 +0100

nemo-python (3.6.0) sylvia; urgency=medium

  * 3.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 11:58:54 +0100

## nemo-python 4.0.0

=== debian/changelog ===
nemo-python (4.0.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.0)
    - no deprecated gnome-common vars used (Closes: #829967)

  [ Maximiliano Curia ]
  * Add a debian/salsa-ci.yml file
  * Add a basic gbp.conf
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:54 -0300

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 11.2.1),
+ meson,
+ ninja-build,
  gtk-doc-tools,
- libnemo-extension-dev (>= 3.6),
- python-dev,
+ libnemo-extension-dev (>= 4.0),
+ python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
 Standards-Version: 4.1.4
@@ -19,7 +21,7 @@
 
 Package: nemo-python
 Architecture: any
-Depends: gir1.2-nemo-3.0 (>= 3.8), ${misc:Depends}, ${shlibs:Depends}
+Depends: gir1.2-nemo-3.0 (>= 4.0), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: python-nemo
 Provides: python-nemo
 Replaces: python-nemo

## nemo-python 4.0.0+tessa

=== debian/changelog ===
nemo-python (4.0.0+tessa) tessa; urgency=medium

  * 4.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Nov 2018 13:53:56 +0000

nemo-python (3.8.0) tara; urgency=medium

  * 3.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 May 2018 13:09:45 +0100

## nemo-python 4.2.1

=== debian/changelog ===
nemo-python (4.2.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:28:40 +0900

nemo-python (4.2.1-1) experimental; urgency=medium

  * New upstream release (4.2.1)
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 11:03:20 +0900

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
  debhelper (>= 11.2.1),
  meson,
  ninja-build,
  gtk-doc-tools,
- libnemo-extension-dev (>= 4.0),
+ libnemo-extension-dev (>= 4.2),
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
@@ -21,7 +22,7 @@
 
 Package: nemo-python
 Architecture: any
-Depends: gir1.2-nemo-3.0 (>= 4.0), ${misc:Depends}, ${shlibs:Depends}
+Depends: gir1.2-nemo-3.0 (>= 4.2), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: python-nemo
 Provides: python-nemo
 Replaces: python-nemo

## nemo-python 4.2.1%2Btina

=== debian/changelog ===
nemo-python (4.2.1+tina) tina; urgency=medium

  * 4.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 12:13:15 +0200

nemo-python (4.2.0) tina; urgency=medium

  * 4.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:51:10 +0200

nemo-python (4.0.0) tessa; urgency=medium

  * 4.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Nov 2018 13:53:56 +0000

## nemo-python 4.4.0

=== debian/changelog ===
nemo-python (4.4.0-3) unstable; urgency=medium

  [ David Mohammed ]
  * Ensure python based extensions work with python 3.8 (Closes: #954307)

 -- Norbert Preining <norbert@preining.info>  Fri, 20 Mar 2020 08:03:53 +0900

nemo-python (4.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:45:18 +0900

nemo-python (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 15:58:15 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  meson,
  ninja-build,
  gtk-doc-tools,
- libnemo-extension-dev (>= 4.2),
+ libnemo-extension-dev (>= 4.4),
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
@@ -22,7 +22,7 @@
 
 Package: nemo-python
 Architecture: any
-Depends: gir1.2-nemo-3.0 (>= 4.2), ${misc:Depends}, ${shlibs:Depends}
+Depends: gir1.2-nemo-3.0 (>= 4.4), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: python-nemo
 Provides: python-nemo
 Replaces: python-nemo

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-static --enable-gtk-doc
+	dh_auto_configure --buildsystem meson+ninja -- -Dgtk_doc=true
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://packages.linuxmint.com/pool/backport/n/nemo-python/ \
    nemo-python_([\d.]+)%2b[\w\d]+@ARCHIVE_EXT@

## nemo-python 4.6.0

=== debian/changelog ===
nemo-python (4.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 11:03:10 +0900

nemo-python (4.6.0-1) experimental; urgency=medium

  * New upstream release 4.6.0

 -- Norbert Preining <norbert@preining.info>  Sat, 30 May 2020 23:38:21 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  meson,
  ninja-build,
  gtk-doc-tools,
- libnemo-extension-dev (>= 4.4),
+ libnemo-extension-dev (>= 4.6~),
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
@@ -22,7 +22,7 @@
 
 Package: nemo-python
 Architecture: any
-Depends: gir1.2-nemo-3.0 (>= 4.4), ${misc:Depends}, ${shlibs:Depends}
+Depends: gir1.2-nemo-3.0 (>= 4.6~), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: python-nemo
 Provides: python-nemo
 Replaces: python-nemo

## nemo-python 4.6.0%2Bulyana

=== debian/changelog ===
nemo-python (4.6.0+ulyana) ulyana; urgency=medium

  * 4.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 May 2020 14:19:45 +0100

nemo-python (4.4.0) tricia; urgency=medium

  * 4.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 15:58:14 +0100

nemo-python (4.2.1) tina; urgency=medium

  * 4.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 12:13:15 +0200

## nemo-python 4.8.0

=== debian/changelog ===
nemo-python (4.8.0-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * debian/control: add missed python3-gi to depends

 -- Norbert Preining <norbert@preining.info>  Mon, 08 Feb 2021 18:36:41 +0900

nemo-python (4.8.0-1) unstable; urgency=medium

  * New upstream release 4.8.0, no changes.

 -- Norbert Preining <norbert@preining.info>  Thu, 17 Dec 2020 05:52:46 +0900

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: nemo-python
 Architecture: any
-Depends: gir1.2-nemo-3.0 (>= 4.6~), ${misc:Depends}, ${shlibs:Depends}
+Depends: gir1.2-nemo-3.0 (>= 4.6~), python3-gi, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: python-nemo
 Provides: python-nemo
 Replaces: python-nemo

## nemo-python 4.8.2

=== debian/changelog ===
nemo-python (4.8.2-1) unstable; urgency=medium

  * New upstream version 4.8.2

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 16:53:42 +0900

## nemo-python 4.8.2+ulyssa

=== debian/changelog ===
nemo-python (4.8.2+ulyssa) ulyssa; urgency=medium

  * 4.8.2

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Feb 2021 18:28:46 +0000

nemo-python (4.8.1) ulyssa; urgency=medium

  * 4.8.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Feb 2021 11:49:31 +0000

nemo-python (4.8.0) ulyssa; urgency=medium

  * 4.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2020 14:15:23 +0000

nemo-python (4.6.0) ulyana; urgency=medium

  * 4.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 May 2020 14:19:45 +0100

## nemo-python 5.0.0%2Buma

=== debian/changelog ===
nemo-python (5.0.0+uma) uma; urgency=medium

  * 5.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 31 May 2021 12:43:26 +0100

## nemo-python 5.0.0+uma

=== debian/control ===
Source: nemo-python
Section: python
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
    debhelper-compat (= 12),
    gtk-doc-tools,
    meson,
    libnemo-extension-dev (>= 3.6),
    python3-dev,
    python-gi-dev,
Standards-Version: 3.9.6

Package: python-nemo
Architecture: any
Depends: gir1.2-nemo-3.0 (>= 3.6), ${misc:Depends}, ${shlibs:Depends}
Description: Python binding for Nemo components
 Python binding for Nemo, to allow Nemo property page and menu item
 extensions to be written in Python.

Package: python-nemo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: python-nemo (= ${binary:Version}), ${misc:Depends}
Description: Debug packages for python-nemo
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -D gtk_doc=true --errorlogs

# Don't generate a shlibs file for the plugin
override_dh_makeshlibs:

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/python-nemo \
	ninja -C obj-$(DEB_HOST_MULTIARCH) install

override_dh_strip:
	dh_strip --dbg-package=python-nemo-dbg

## nemo-python 5.0.1+debbie

=== debian/changelog ===
nemo-python (5.0.1+debbie) uma; urgency=medium

  * 5.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 Jul 2021 17:09:37 +0100

nemo-python (5.0.0) uma; urgency=medium

  * 5.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 31 May 2021 12:43:26 +0100

## nemo-python 5.2.0

=== debian/changelog ===
nemo-python (5.2.0-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jan 2022 10:13:21 +0100

nemo-python (5.2.0-1) experimental; urgency=medium

  [ Joshua Peisach ]
  * Bump watch version to 4
  * Drop --as-needed linker flag
  * Bump Standards-Version to 4.6.0.1, add Rules-Requires-Root

  [ Fabio Fantoni ]
  * New upstream version 5.2.0
  * d/rules: hardening from bindnow to all

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Fri, 22 Oct 2021 21:23:54 -0400

nemo-python (5.0.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:04 +0900

nemo-python (5.0.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.0
  * Use debhelper-compat and dump to dh-compat 13

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:25:22 +0900

=== debian/control ===
Source: nemo-python
Section: python
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 ninja-build,
 gtk-doc-tools,
 libnemo-extension-dev (>= 4.6~),
 python3-dev,
 python-gi-dev,
Homepage: https://github.com/linuxmint/nemo-extensions/
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git

Package: nemo-python
Architecture: any
Depends: gir1.2-nemo-3.0 (>= 4.6~), python3-gi, ${misc:Depends}, ${shlibs:Depends}
Conflicts: python-nemo
Provides: python-nemo
Replaces: python-nemo
Description: Python bindings for nemo components
 Python bindings for Nemo, to allow creation of Nemo extensions in Python.
 This allows creating property page and menu item extensions.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --buildsystem meson+ninja -- -Dgtk_doc=true

override_dh_auto_install:
	dh_auto_install
	# Drop useless files
	find debian/ -name '*.la' -delete

=== debian/watch ===
version=4
http://packages.linuxmint.com/pool/backport/n/nemo-python/ \
    nemo-python_([\d.]+)%2b[\w\d]+@ARCHIVE_EXT@

## nemo-python 5.2.0%2Buna

=== debian/changelog ===
nemo-python (5.2.0+una) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

nemo-python (5.0.1) uma; urgency=medium

  * 5.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 Jul 2021 17:09:37 +0100

## nemo-python 5.2.0+elsie

=== debian/changelog ===
nemo-python (5.2.0+elsie) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

## nemo-python 5.2.0+vanessa

=== debian/changelog ===
nemo-python (5.2.0+vanessa) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

## nemo-python 5.4.0+vanessa

=== debian/changelog ===
nemo-python (5.4.0+vanessa) vanessa; urgency=medium

  * 5.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:14:05 +0200

nemo-python (5.2.0) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:29:51 +0000

## nemo-python 5.4.1%2Bvanessa

=== debian/changelog ===
nemo-python (5.4.1+vanessa) vanessa; urgency=medium

  * 5.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:03:26 +0200

nemo-python (5.4.0) vanessa; urgency=medium

  * 5.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:14:05 +0200

## nemo-python 5.4.1+ds

=== debian/changelog ===
nemo-python (5.4.1+ds-1) unstable; urgency=medium

  * Repack excluding .buildinfo and .changes files from upstream source
  * New upstream version 5.4.1
  * Update lintian overrides

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Jul 2022 21:24:56 +0200

nemo-python (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 01 Jul 2022 14:04:51 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git

## nemo-python 5.4.1+elsie

=== debian/changelog ===
nemo-python (5.4.1+elsie) vanessa; urgency=medium

  * 5.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:03:26 +0200

## nemo-python 5.6.0%2Bvera

=== debian/changelog ===
nemo-python (5.6.0+vera) vera; urgency=medium

  * 5.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2022 12:10:50 +0000

nemo-python (5.4.1) vanessa; urgency=medium

  * 5.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:03:26 +0200

## nemo-python 5.6.0+ds

=== debian/changelog ===
nemo-python (5.6.0+ds-1) unstable; urgency=medium

  * New upstream version 5.6.0
  * Add one fix from upstream:
    nemo-python-object.c: Copy the string returned by PyUnicode_AsUTF8
  * Update standards version to 4.6.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 04 Feb 2023 14:27:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git

## nemo-python 5.8.0+ds

=== debian/changelog ===
nemo-python (5.8.0+ds-1) unstable; urgency=medium

  * New upstream version 5.8.0
  * d/patches: remove a patch applied upstream

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 29 Jun 2023 13:33:07 +0200

## nemo-python 5.8.0+faye

=== debian/changelog ===
nemo-python (5.8.0+faye) victoria; urgency=medium

  * 5.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:10:40 +0100

nemo-python (5.6.0) vera; urgency=medium

  * 5.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2022 12:10:50 +0000

## nemo-python 5.8.0+victoria

=== debian/changelog ===
nemo-python (5.8.0+victoria) victoria; urgency=medium

  * 5.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:10:40 +0100

## nemo-python 6.0.0+ds

=== debian/changelog ===
nemo-python (6.0.0+ds-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:25 +1100

nemo-python (6.0.0+ds-1build2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:13:16 +0100

nemo-python (6.0.0+ds-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:26:33 +0000

nemo-python (6.0.0+ds-1) unstable; urgency=medium

  * New upstream version 6.0.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 20 Nov 2023 18:36:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nemo-python
 Section: python
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
http://packages.linuxmint.com/pool/backport/n/nemo-python/ \
    nemo-python_([\d.]+)%2b[\w\d]+@ARCHIVE_EXT@

## nemo-python 6.0.1+faye

=== debian/changelog ===
nemo-python (6.0.1+faye) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

nemo-python (6.0.0) virginia; urgency=medium

  * 6.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 14:33:20 +0000

nemo-python (5.8.0) victoria; urgency=medium

  * 5.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 14:10:40 +0100

## nemo-python 6.0.1+virginia

=== debian/changelog ===
nemo-python (6.0.1+virginia) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

## nemo-python 6.0.1+wilma

=== debian/changelog ===
nemo-python (6.0.1+wilma) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

## nemo-python 6.2.0

=== debian/changelog ===
nemo-python (6.2.0-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:58:11 +0100

nemo-python (6.2.0-1) unstable; urgency=medium

  * d/watch: update supporting 3 different source name used
  * New upstream version 6.2.0
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 08 Jul 2024 20:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nemo-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -19,7 +18,7 @@
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
http://packages.linuxmint.com/pool/backport/n/nemo-python/ \
    nemo-python_([\d.]+)[\w%2b\+]+@ARCHIVE_EXT@

## nemo-python 6.2.0+faye

=== debian/changelog ===
nemo-python (6.2.0+faye) wilma; urgency=medium

  * 6.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Jun 2024 11:50:50 +0100

nemo-python (6.0.1) virginia; urgency=medium

  * 6.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Dec 2023 15:49:59 +0000

## nemo-python 6.4.0

=== debian/changelog ===
nemo-python (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0
  * d/gbp.conf: switch to DEP 14 and other improvements
  * Update standards version to 4.7.2, no changes needed
  * d/salsa-ci: improve include of default config

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 13 Apr 2025 17:23:15 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git

## nemo-python 6.4.0%2Bfaye

=== debian/changelog ===
nemo-python (6.4.0+faye) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:35 +0000

nemo-python (6.2.0) wilma; urgency=medium

  * 6.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Jun 2024 11:50:50 +0100

## nemo-python 6.4.0%2Bxia

=== debian/changelog ===
nemo-python (6.4.0+xia) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:35 +0000

## nemo-python 6.4.0+gigi

=== debian/changelog ===
nemo-python (6.4.0+gigi) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:35 +0000

## nemo-python 6.6.0

=== debian/changelog ===
nemo-python (6.6.0-1) unstable; urgency=medium

  * New upstream version 6.6.0
  * debian/control
    + Add myself as Uploader
    + Update standards version to 4.7.3
    + Remove Rules-Requires-Root field
  * debian/copyright
    + Update debian/* copyright years and add team
  * debian/source/lintian-overrides
    + Add lintian override for repackaged-source-not-advertised,
      as upstream may re-include those files in future releases

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 14 Feb 2026 19:47:55 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>,
  Joshua Peisach <itzswirlz2020@outlook.com>,
- Christoph Martin <martin@uni-mainz.de>
+ Christoph Martin <martin@uni-mainz.de>,
+ Daniel Echeverri <epsilon@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
@@ -18,8 +19,7 @@
  python3-dev,
  python-gi-dev,
 Homepage: https://github.com/linuxmint/nemo-extensions/
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo-python
 Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo-python.git

## nemo-python 6.6.0+gigi

=== debian/changelog ===
nemo-python (6.6.0+gigi) zena; urgency=medium

  * 6.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:48:32 +0000

nemo-python (6.4.0) xia; urgency=medium

  * 6.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:54:35 +0000

## nemo-python 6.6.0+zena

=== debian/changelog ===
nemo-python (6.6.0+zena) zena; urgency=medium

  * 6.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:48:32 +0000
